<div class="flex justify-center">
    <div class="card w-96 bg-base-100 shadow-xl">
        <div class="card-body">
            <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                <h2 class="card-title">เข้าสู่ระบบ</h2>
                <p class="pb-4">
                    กรุณาระบุชื่อผู้ใช้งานและรหัสผ่านเพื่อเข้าสู่ระบบ
                </p>
                @if (isError) {
                <div role="alert" class="alert alert-error">
                    <span>
                        เกิดข้อผิดพลาด! ชื่อผู้ใช้งาน/รหัสผ่าน ไม่ถูกต้อง
                        กรุณาตรวจสอบ
                    </span>
                </div>
                }

                <div class="grid gap-4">
                    <div>
                        <label class="form-control w-full max-w-xs">
                            <div class="label">
                                <span class="label-text">ชื่อผู้ใช้งาน</span>
                            </div>
                            <input
                                formControlName="username"
                                type="text"
                                class="input input-bordered w-full max-w-xs"
                            />
                        </label>
                    </div>
                    <div>
                        <label class="form-control w-full max-w-xs">
                            <div class="label">
                                <span class="label-text">รหัสผ่าน</span>
                            </div>
                            <input
                                formControlName="password"
                                type="password"
                                class="input input-bordered w-full max-w-xs"
                            />
                        </label>
                    </div>
                </div>
                <div class="card-actions justify-end pt-4">
                    <button
                        class="btn btn-primary"
                        [disabled]="!loginForm.valid || loading"
                    >
                        เข้าสู่ระบบ
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
